curl --request GET \
--url https://pro-api.coingecko.com/api/v3/onchain/networks/{network}/pools/{pool_address}/liquidity_events \
--header 'x-cg-pro-api-key: <api-key>'{
"data": [
{
"id": "solana_457611113_ya1EoX4PYj6vh3h5iVnqpXrs1K4tB2u1xsYadxU27kbKzGgfNihLgek1qSU68ws3o4VYsngpGFw4HNGqfbKaoVv_20_1792148006",
"type": "liquidity_event",
"attributes": {
"block_number": 457611113,
"tx_hash": "ya1EoX4PYj6vh3h5iVnqpXrs1K4tB2u1xsYadxU27kbKzGgfNihLgek1qSU68ws3o4VYsngpGFw4HNGqfbKaoVv",
"tx_from_address": "8wUyLahcTw85GWGxsXWNgPF7DEbMPH45zpkjJnxPYrNP",
"block_timestamp": "2026-10-16T10:53:26Z",
"kind": "remove",
"base_token_address": "3GP5xgK7cdSeWkgmcAh4vomARuDYoWi89saU3AKZnhKm",
"base_token_amount": "131587980.65415",
"quote_token_address": "So11111111111111111111111111111111111111112",
"quote_token_amount": "187.258906",
"base_token_price_in_usd": "0.0001417",
"quote_token_price_in_usd": "106.496866",
"volume_in_usd": "38593.231589"
}
}
],
"meta": {
"next_cursor": null
}
}Liquidity Events by Pool Address
To query the add and remove liquidity events based on the provided pool address
curl --request GET \
--url https://pro-api.coingecko.com/api/v3/onchain/networks/{network}/pools/{pool_address}/liquidity_events \
--header 'x-cg-pro-api-key: <api-key>'{
"data": [
{
"id": "solana_457611113_ya1EoX4PYj6vh3h5iVnqpXrs1K4tB2u1xsYadxU27kbKzGgfNihLgek1qSU68ws3o4VYsngpGFw4HNGqfbKaoVv_20_1792148006",
"type": "liquidity_event",
"attributes": {
"block_number": 457611113,
"tx_hash": "ya1EoX4PYj6vh3h5iVnqpXrs1K4tB2u1xsYadxU27kbKzGgfNihLgek1qSU68ws3o4VYsngpGFw4HNGqfbKaoVv",
"tx_from_address": "8wUyLahcTw85GWGxsXWNgPF7DEbMPH45zpkjJnxPYrNP",
"block_timestamp": "2026-10-16T10:53:26Z",
"kind": "remove",
"base_token_address": "3GP5xgK7cdSeWkgmcAh4vomARuDYoWi89saU3AKZnhKm",
"base_token_amount": "131587980.65415",
"quote_token_address": "So11111111111111111111111111111111111111112",
"quote_token_amount": "187.258906",
"base_token_price_in_usd": "0.0001417",
"quote_token_price_in_usd": "106.496866",
"volume_in_usd": "38593.231589"
}
}
],
"meta": {
"next_cursor": null
}
}Notes
- Paginate with
cursorrather than a page number:- Pass
meta.next_cursorback unchanged ascursorto fetch the next page. meta.next_cursorisnullon the last page.- An invalid or expired cursor returns
400— restart pagination withoutcursor.
- Pass
base_token_amountandquote_token_amountare always positive;kindcarries the direction.volume_in_usdis the combined USD value of both tokens in the event.
Supported networks
Supported networks
| Chain | Network id | DEXes |
|---|---|---|
| Solana | solana | PumpSwap, Meteora DAMM v2 |
- Pools on any other network or DEX return
400. - A pool on a supported DEX with no liquidity events returns
200with an emptydataarray, not404.
Authorizations
Learn how to set up your API key
Query Parameters
Filter by liquidity event kind, omit to return both.
Available values: add, remove
add, remove Filter liquidity events by volume in USD greater than this value. Must be a positive number.
Cursor from the previous response, passed back unchanged to fetch the next page.
Total results per page. Default value: 20 Valid values: 1...50
Response
Liquidity events from a pool
Hide child attributes
Hide child attributes
Liquidity event identifier
Resource type
Hide child attributes
Hide child attributes
Block number of the liquidity event
Transaction hash
Transaction sender address
Block timestamp
Liquidity event kind (add or remove)
add, remove Base token contract address
Amount of base token added or removed
Quote token contract address
Amount of quote token added or removed
Price of base token in USD at the time of the event
Price of quote token in USD at the time of the event
Total value of the liquidity event in USD
Was this page helpful?

